﻿package pawnScreens 
{
	import com.pblabs.screens.ImageScreen;
	import com.pblabs.rendering2D.ui.PBLabel;
	import com.pblabs.rendering2D.ui.PBButton;
	import com.pblabs.engine.PBE;
		
	import flash.geom.Rectangle;
	import flash.text.TextFormatAlign;
	import flash.events.MouseEvent;
	
	/**
	 * ...
	 * @author Jesse James Lord
	 */
	public class PawnGame extends ImageScreen
	{
		static public var lblHealth:PBLabel = new PBLabel();
		
		public var btnMenu:PBButton = new PBButton();
		
		public function PawnGame():void
		{
			//This is our Pawn main in game screen gui hud it has our buttons for the menu life bar and other things.
			super("../assets/screens/PGS.png");
			
			//add invisble button to reside of the main screen title
			addChild(btnMenu);
			btnMenu.extents = new Rectangle(140, 510, 240, 75);
			btnMenu.alpha = 0;
            btnMenu.refresh();
			
			//Add button functionality when clicked
			btnMenu.addEventListener(MouseEvent.CLICK, function resume(e:*):void
            {
                PBE.screenManager.push("pawnMenu");
				PBE.soundManager.play("../assets/media/DrawWeapon.mp3", "guiSounds");
				PawnKeyboardController.inMenu = true;
            });
			
			// Add the Health amount Label
            addChild(lblHealth);
            lblHealth.x = 337;
			lblHealth.y = 533;
            lblHealth.fontColor = 0xFFFFFF;
			lblHealth.alpha = 0;
            lblHealth.fontSize = 12;
			lblHealth.width = 275;
            lblHealth.fontAlign = TextFormatAlign.RIGHT;
            lblHealth.refresh();
		}
		
		override public function onFrame (delta:Number) : void
		{
			//refresh the health control
			lblHealth.refresh();
		}
	}
}