﻿package pawnScreens 
{
	import com.pblabs.screens.ImageScreen;
	import com.pblabs.engine.PBE;
	
	import flash.events.MouseEvent;
		
	/**
	 * ...
	 * @author Jesse James Lord
	 */
	public class PawnGameOver extends ImageScreen
	{
		public function PawnGameOver():void
		{
			//This is the Pawn game over screen that restarts the level when the mouse is clicked.
			super("../assets/screens/PLS2.jpg");
		}
		
		override public function onShow():void
		{
			addEventListener(MouseEvent.CLICK, retry);
		}
		
		override public function onHide():void
		{
			removeEventListener(MouseEvent.CLICK, retry);
		}
		
		public function retry(mouseE:MouseEvent):void
		{
			//Main.resetLevel();
			PBE.processManager.callLater(Main.resetLevel);
			PBE.screenManager.pop();
		}
	}
}