﻿package pawnScreens 
{
	import com.pblabs.screens.ImageScreen;
	import com.pblabs.engine.PBE;
	
	import flash.events.MouseEvent;

	/**
	 * ...
	 * @author Jesse James Lord
	 */
	public class PawnGameWin extends ImageScreen
	{
		
		public function PawnGameWin():void
		{
			//This is the Pawn game win screen that puts the win image on the screen and restarts the game when clicked.
			super("../assets/screens/PWS.jpg");
		}
		
		override public function onShow():void
		{
			addEventListener(MouseEvent.CLICK, retry);
		}
		
		override public function onHide():void
		{
			removeEventListener(MouseEvent.CLICK, retry);
		}
		
		public function retry(mouseE:MouseEvent):void
		{
			PBE.processManager.callLater(Main.restartGame);
			PBE.screenManager.pop();
		}
	}
}