﻿package 
{
	import flash.display.Bitmap;
	import flash.display.DisplayObject;
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.ProgressEvent;
	import flash.utils.getDefinitionByName;
	import flash.text.TextField;
	import flash.text.TextFormat;
	
	/**
	 * ...
	 * @author Jesse James Lord
	 */
	[SWF(width='800', height='600', frameRate='132', backgroundColor='#000000')]
	public class Preloader extends MovieClip 
	{	
		private var txt:TextField;
		protected var pic:Bitmap;
		
		//Embed the Pawn Loading Screen
		[Embed(source="/../assets/screens/PLS.jpg")]
		private var picPLS:Class;
	  
		public function Preloader():void
		{
			addEventListener(Event.ENTER_FRAME, checkFrame);
			loaderInfo.addEventListener(ProgressEvent.PROGRESS, progress);
			
			//Add the pawn Loading screen to the stage
			pic = new picPLS(); 
			addChild(pic);
			
			var txtFormat:TextFormat = new TextFormat();
			txtFormat.size = 18;
			txtFormat.bold = true;
			
			txt = new TextField()
			txt.defaultTextFormat = txtFormat;
			txt.x = 310 - txt.width;
			txt.y = 475 - txt.height;
			txt.textColor = 0x000000;
			txt.width = 500;
			addChild(txt);
		}
		
		private function progress(e:ProgressEvent):void 
		{
			// update loader
			txt.text = 'BytesTotal: ' + e.bytesTotal + '\t BytesLoaded: ' + e.bytesLoaded;
			var numTest:Number = e.bytesLoaded / e.bytesTotal;
		}
		
		private function checkFrame(e:Event):void 
		{
			if (currentFrame == totalFrames) 
			{
				removeEventListener(Event.ENTER_FRAME, checkFrame);
				startup();
			}
		}
		
		private function startup():void 
		{
			// hide the loader text
			txt.text = '';
			stop();
			// hide the pawn loading screen
			pic.alpha = 0;
			loaderInfo.removeEventListener(ProgressEvent.PROGRESS, progress);
			var mainClass:Class = getDefinitionByName("Main") as Class;
			addChild(new mainClass() as DisplayObject);
		}
		
	}
	
}