﻿package pawnScreens 
{
	import com.pblabs.screens.ImageScreen;
	import com.pblabs.engine.resource.MP3Resource;
	import com.pblabs.engine.PBE;
	
	import flash.display.Bitmap;
	
	/**
	 * ...
	 * @author Jesse James Lord
	 */
	public class PawnSpecialCredits extends ImageScreen
	{
		//This is the Pawn Special Credits screen that posts for at the least 15 seconds all of the peoples names involved for their glory and copyrights.
		//This screen was not created to be skipable so it will stay the way it looks now.
		//Resource our Special Credit Concept Art Pieces
		[Embed(source="/../assets/screens/credits/PT2.jpg")]
		private var picPT2:Class;
		[Embed(source="/../assets/screens/credits/PT3.jpg")]
		private var picPT3:Class;
		[Embed(source="/../assets/screens/credits/PT4.jpg")]
		private var picPT4:Class;
		[Embed(source="/../assets/screens/credits/PT5.jpg")]
		private var picPT5:Class;
		[Embed(source="/../assets/screens/credits/PT6.jpg")]
		private var picPT6:Class;
		[Embed(source="/../assets/screens/credits/PT7.jpg")]
		private var picPT7:Class;
		[Embed(source="/../assets/screens/credits/PT8.jpg")]
		private var picPT8:Class;
		[Embed(source="/../assets/screens/credits/PT9.jpg")]
		private var picPT9:Class;
		[Embed(source="/../assets/screens/credits/PT10.jpg")]
		private var picPT10:Class;
		[Embed(source="/../assets/screens/credits/PT11.jpg")]
		private var picPT11:Class;
		[Embed(source="/../assets/screens/credits/PT12.jpg")]
		private var picPT12:Class;
		[Embed(source="/../assets/screens/credits/PT13.jpg")]
		private var picPT13:Class;
		
		//These are our text based image pages
		[Embed(source="/../assets/screens/credits/PTW1.jpg")]
		private var picPTW1:Class;
		[Embed(source="/../assets/screens/credits/PTW2.jpg")]
		private var picPTW2:Class;
		[Embed(source="/../assets/screens/credits/PTW3.jpg")]
		private var picPTW3:Class;
		[Embed(source="/../assets/screens/credits/PTW4.jpg")]
		private var picPTW4:Class;
		
		protected var showScreen:String = new String();
		
		public function PawnSpecialCredits():void
		{
			showScreen = "../assets/screens/credits/PT1.jpg";
			super(showScreen);
			//pic = new picPLS();
		}
		
		override public function onShow():void
		{
			PBE.resourceManager.load("../assets/media/Faure Pavane For Orchestra Opus 50.mp3", MP3Resource, onCreditsMusic);
			PBE.soundManager.setCategoryVolume( "creditMusic", 1 );
		}
		
		override public function onHide():void
		{
			PBE.resourceManager.unload("../assets/media/Faure Pavane For Orchestra Opus 50.mp3", MP3Resource);
			PBE.soundManager.setCategoryVolume( "creditMusic", 0 );
		}
		
		protected function onCreditsMusic( music:MP3Resource ):void
		{
			//Initialize the bitmaps as images we can post in the 
			var PT2:Bitmap = new picPT2();
			var PT3:Bitmap = new picPT3();
			var PT4:Bitmap = new picPT4();
			var PT5:Bitmap = new picPT5();
			var PT6:Bitmap = new picPT6();
			var PT7:Bitmap = new picPT7();
			var PT8:Bitmap = new picPT8();
			var PT9:Bitmap = new picPT9();
			var PT10:Bitmap = new picPT10();
			var PT11:Bitmap = new picPT11();
			var PT12:Bitmap = new picPT12();
			var PT13:Bitmap = new picPT13();
			
			//Initialize the bitmaps as images so we can put the worded credits in
			var PTW1:Bitmap = new picPTW1();
			var PTW2:Bitmap = new picPTW2();
			var PTW3:Bitmap = new picPTW3();
			var PTW4:Bitmap = new picPTW4();
			
			PBE.soundManager.play( music, "creditMusic" );
			PBE.processManager.schedule(10000, this, addChild, PT2);
			PBE.processManager.schedule(20000, this, addChild, PT5);
			PBE.processManager.schedule(30000, this, addChild, PT7);
			PBE.processManager.schedule(40000, this, addChild, PT10); 
			PBE.processManager.schedule(50000, this, addChild, PTW1);
			PBE.processManager.schedule(60000, this, addChild, PT3); 
			PBE.processManager.schedule(70000, this, addChild, PT4);
			PBE.processManager.schedule(80000, this, addChild, PTW2);
			PBE.processManager.schedule(90000, this, addChild, PT6);
			PBE.processManager.schedule(100000, this, addChild, PTW3);
			PBE.processManager.schedule(110000, this, addChild, PT8);
			PBE.processManager.schedule(120000, this, addChild, PT9); 
			PBE.processManager.schedule(130000, this, addChild, PTW4);
			PBE.processManager.schedule(140000, this, addChild, PT11);
			PBE.processManager.schedule(150000, this, addChild, PT12);
			PBE.processManager.schedule(160000, this, addChild, PT13);
			PBE.processManager.schedule(170000, this, PBE.screenManager.pop);
		}
	}
}